{% extends 'base.html.twig' %}

{%block stylesheets %}
    .container{
        margin-top:50px;
    }
    .sub{
        font-style: italic;
        font-size:14px;
    }
{% endblock %}

{% block body %}
<div class="container">
    <div class="row">
        <div class="col-md-10 col-md-offset-1">

            {% if app.user != null %}

                <div class="panel panel-success">
                        <div class="panel-heading">
                            <h4>Hola {{ name }}! , esta es la lista de servicios disponibles</h4>
                            <p class="sub">Los datos son obtenidos directamente desde la API de QVO</p>
                        </div>
                       
                            <table class="table table-hover">
                                <thead>
                                <tr>
                                    <th scope="col">Servicio</th>
                                    <th scope="col">Precio</th>
                                    <th scope="col">Status</th>
                                    <th scope="col">Ciclo</th>
                                    <th scope="col">Prueba</th>
                                    <th scope="col">Suscribirse</th>
                                </tr>
                                    </thead>
                                <tbody>
                                {% for key, item in services %}
                                    <tr>
                                        <td>{{ item.name }}</td>
                                        <td>{{ item.price }}</td>
                                        <td>{{ item.status }}</td>
                                        <td>{{ item.interval }}</td>
                                        <td>{{ item.trial_period_days }} días</td>
                                        <td> 
                                            {% if item.has %}
                                                <button data-id="{{ item.id }}" type="button" class="btn btn-warning disabled">
                                                    Contratado
                                                </button>
                                            {% else %}
                                                <button data-id="{{ item.id }}" type="button" class="btn btn-success contract">
                                                    Contratar
                                                </button>
                                            {% endif %}

                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        
            
                </div>
                
            {% else %}
                
                <div class="alert alert-danger" role="alert">
                    <strong>Oh snap!</strong> Necesitas estar registrado para visualizar los servicios.
                    <a href="login"> Login </a> | <a href="register">Registrarse</a>
                </div>

            {% endif %}

        </div>
    </div>
</div>
{% endblock %}

{%block javascripts %}

    $(document).ready(function() {

        $(".contract").click(function(event) {
            event.preventDefault();
            var id = $(this).data('id');
            $context = $(this);

            $.getJSON("subscribe/" + id,function(data){
                $context.text('Cancelar').removeClass('btn-success').addClass('btn-warning');
                alert(data.msg);
            });
          
            

         });

    });

{% endblock %}
